[flake8]
max-line-length = 88
max-complexity = 16
select = C,E,F,W,B,B9
ignore = E203,E501,W503,B950
exclude = scripts/, .venv/

[isort]
profile = black
force_single_line = True
line_length = 88
multi_line_output = 3
include_trailing_comma = True
force_grid_wrap = 0
use_parentheses = True
ensure_newline_before_comments = True
skip_glob = */__init__.py
known_odoo=odoo
known_odoo_addons=odoo.addons
sections=FUTURE,STDLIB,THIRDPARTY,ODOO,ODOO_ADDONS,FIRSTPARTY,LOCALFOLDER
default_section=THIRDPARTY
